DELETE /api/security/entity_store/entities/

Spaces method and path for this operation:

delete /s/{space_id}/api/security/entity_store/entities/

Refer to Spaces for more information.

Delete a single entity record from the Entity Store. The entity is immediately removed from the latest index.

[Required authorization] Route required privileges: securitySolution.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

application/json

Body

  • entityId string Required

    The identifier of the entity to delete.

Responses

  • 200 application/json

    Indicates the entity was successfully deleted.

  • 404 application/json

    Entity not found.

DELETE /api/security/entity_store/entities/
curl -X DELETE -H "kbn-xsrf: true" -H "Authorization: ApiKey ${API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{"entityId":"host:web-server-prod-01"}' \
  "${KIBANA_URL}/api/security/entity_store/entities/"
DELETE kbn://api/security/entity_store/entities/
{
  "entityId": "host:web-server-prod-01"
}
Request example
Delete a single entity from the Entity Store using its entity identifier.
{
  "entityId": "host:web-server-prod-01"
}
Response examples (200)
The entity was found and successfully removed from the latest index.
{
  "deleted": true
}
Response examples (404)
No entity with the specified identifier exists in the Entity Store.
{
  "error": "Not Found",
  "message": "Entity ID 'host:web-server-prod-01' not found",
  "statusCode": 404
}